SignatureReader (ASM 5.0.4 Documentation)
Date: 2015-09-18

org.objectweb.asm.signature

## Class SignatureReader

- java.lang.Object
- - org.objectweb.asm.signature.SignatureReader

-     public class SignatureReader
      extends Object

  A type signature parser to make a signature visitor visit an existing signature.
  Author:
    Thomas Hallgren, Eric Bruneton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureReader(String signature)` Constructs a `SignatureReader` for the given signature.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(SignatureVisitor v)` Makes the given visitor visit the signature of this `SignatureReader`.
    `void` | `acceptType(SignatureVisitor v)` Makes the given visitor visit the signature of this `SignatureReader`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureReader

          public SignatureReader(String signature)

      Constructs a `SignatureReader` for the given signature.
      Parameters:
        `signature` - A ClassSignature, MethodTypeSignature, or FieldTypeSignature.

  - ### Method Detail

    - #### accept

          public void accept(SignatureVisitor v)

      Makes the given visitor visit the signature of this `SignatureReader`. This signature is the one specified in the constructor (see `SignatureReader`). This method is intended to be called on a `SignatureReader` that was created using a ClassSignature (such as the `signature` parameter of the `ClassVisitor.visit` method) or a MethodTypeSignature (such as the `signature` parameter of the `ClassVisitor.visitMethod` method).
      Parameters:
        `v` - the visitor that must visit this signature.

    - #### acceptType

          public void acceptType(SignatureVisitor v)

      Makes the given visitor visit the signature of this `SignatureReader`. This signature is the one specified in the constructor (see `SignatureReader`). This method is intended to be called on a `SignatureReader` that was created using a FieldTypeSignature, such as the `signature` parameter of the `ClassVisitor.visitField` or `MethodVisitor.visitLocalVariable` methods.
      Parameters:
        `v` - the visitor that must visit this signature.